> For the complete documentation index, see [llms.txt](https://synap.ac/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://synap.ac/docs/api/reference/users/get-session-context.md).

# Get Session Context

```json
{"openapi":"3.0.1","info":{"title":"Synap API","version":"3.0.0"},"tags":[{"name":"Users","description":"Endpoints related to User creation, invitation and management."}],"servers":[{"url":"https://api.synap.ac/v3","description":"Production"},{"url":"https://api-stage.synap.ac/v3","description":"Staging"}],"security":[],"paths":{"/session-context":{"get":{"summary":"Get Session Context","tags":["Users"],"parameters":[],"responses":{"200":{"description":"Success","content":{"application/vnd.api+json":{"schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/components/schemas/SessionContext"},"included":{"type":"array","items":{"$ref":"#/components/schemas/GenericResource"}}}}}}},"404":{"description":"Not Found","content":{"application/vnd.api+json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}}},"components":{"schemas":{"SessionContext":{"type":"object","required":["id","type"],"properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"type":{"type":"string","description":"Identifies the Resource.","enum":["SessionContext"]},"attributes":{"type":"object","properties":{"locale":{"type":"string","readOnly":true,"description":"Short-form language code. The current users language preference"},"caslPolicies":{"type":"array","items":{"type":"array","items":{"type":"object","readOnly":true,"properties":{"group":{"type":"string"},"subject":{"type":"string"},"version":{"type":"integer"},"action":{"oneOf":[{"type":"string","enum":["create","read","update","delete","execute","manage"]},{"type":"array","items":{"type":"string","enum":["create","read","update","delete","execute","manage"]}}]},"actions":{"oneOf":[{"type":"string","enum":["create","read","update","delete","execute","manage"]},{"type":"array","items":{"type":"string","enum":["create","read","update","delete","execute","manage"]}}]},"inverted":{"type":"boolean"},"fields":{"type":"array","items":{"type":"string"}},"conditions":{"type":"object","additionalProperties":{"oneOf":[{"type":"string"},{"type":"object","properties":{"$eq":{"oneOf":[{"type":"string"},{"type":"boolean"}]},"$ne":{"oneOf":[{"type":"string"},{"type":"boolean"}]},"$in":{"type":"array","items":{}}}}]}}}}},"readOnly":true},"isPortalOwner":{"type":"boolean","readOnly":true,"description":"Whether the current user is the owner of the portal."},"intercomHash":{"type":"string","readOnly":true,"description":"Hash used to identify the user in Intercom."},"gitbookToken":{"type":"string","readOnly":true,"description":"Signed JWT identifying the user to the embedded GitBook docs. Only issued for staff user types."},"apiHostname":{"type":"string","readOnly":true,"description":"[Deprecated: use  regionalApiUrl] Region specific API hostname.","deprecated":true},"region":{"type":"string","readOnly":true,"description":"Data hosting region of the organisation."},"regionalApiUrl":{"type":"string","readOnly":true,"description":"Region specific API endpoint."},"shouldPromptPasskeyEnrolment":{"type":"boolean","readOnly":true,"nullable":true,"description":"True when the user should be offered passkey enrolment after login. Dismissible via /v3/passkey-enrolment-deferrals."},"scope":{"type":"object","readOnly":true,"nullable":true,"description":"Restricts the session to a single resource. Set for email-less code-login sessions, binding the session to one exam attempt.","required":["type","id","expiresAt"],"properties":{"type":{"type":"string","enum":["attempt-code-login"]},"id":{"type":"string"},"expiresAt":{"type":"string","description":"ISO date the scoped session expires."}}}}},"relationships":{"type":"object","properties":{"user":{"type":"object","description":"This is a resource linkage for a to-one relationship. It is like a Parse Pointer.","readOnly":false,"properties":{"data":{"type":"object","required":["id","type"],"nullable":true,"properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"type":{"type":"string","description":"Identifies the Resource.","enum":["User"]}}}}},"userType":{"type":"object","description":"This is a resource linkage for a to-one relationship. It is like a Parse Pointer.","readOnly":false,"properties":{"data":{"type":"object","required":["id","type"],"nullable":true,"properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"type":{"type":"string","description":"Identifies the Resource.","enum":["UserType"]}}}}},"studyType":{"type":"object","description":"This is a resource linkage for a to-one relationship. It is like a Parse Pointer.","readOnly":false,"properties":{"data":{"type":"object","required":["id","type"],"nullable":true,"properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"type":{"type":"string","description":"Identifies the Resource.","enum":["UserType"]}}}}},"pinnedNotes":{"type":"object","description":"This is a resource linkage for a to-many relationship. It is like an array of Parse Pointers.","readOnly":false,"properties":{"data":{"type":"array","nullable":true,"items":{"type":"object","required":["id","type"],"properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"type":{"allOf":[{"$ref":"#/components/schemas/ResourceType"},{"enum":["Note"]}]}}}}}},"subPortal":{"type":"object","description":"This is a resource linkage for a to-one relationship. It is like a Parse Pointer.","readOnly":false,"properties":{"data":{"type":"object","required":["id","type"],"nullable":true,"properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"type":{"type":"string","description":"Identifies the Resource.","enum":["SubPortal"]}}}}}}}}},"ObjectId":{"type":"string","description":"The primary key for each resource."},"ResourceType":{"type":"string","description":"Identifies the Resource."},"GenericResource":{"type":"object","description":"The structure of a any Resource returned by, or expected in, all requests.","properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"type":{"$ref":"#/components/schemas/ResourceType"},"attributes":{"type":"object","additionalProperties":true},"relationships":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/Relationship"}}}},"Relationship":{"type":"object","description":"Describes a relationship object that references the related resource.","properties":{"data":{"anyOf":[{"$ref":"#/components/schemas/ResourceIdentifierObject"},{"$ref":"#/components/schemas/ResourceIdentifierArray"}]},"links":{"$ref":"#/components/schemas/RelationLink"},"meta":{"type":"object","additionalProperties":true}}},"ResourceIdentifierObject":{"type":"object","description":"This is a resource linkage for a to-one relationship. It is like a Parse Pointer.","nullable":true,"properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"type":{"$ref":"#/components/schemas/ResourceType"}}},"ResourceIdentifierArray":{"type":"array","description":"This is a resource linkage for a to-many relationship. It is like a list of Parse Pointers.","nullable":true,"items":{"$ref":"#/components/schemas/ResourceIdentifierObject"}},"RelationLink":{"type":"object","properties":{"self":{"type":"string"},"related":{"type":"string"}}},"ApiError":{"type":"object","description":"This is an error response structure. The id, status, code, title and detail will vary based on the error situation.","properties":{"id":{"type":"string","description":"Unique ID of this error occurrence."},"status":{"type":"string","description":"HTTP status code."},"code":{"type":"string","description":"Synap internal error code."},"title":{"type":"string"},"detail":{"type":"string"},"source":{"type":"object","properties":{"pointer":{"type":"string"},"parameter":{"type":"string"}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://synap.ac/docs/api/reference/users/get-session-context.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
